// TResourceProposition.h: interface for the TResourceProposition class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRESOURCEPROPOSITION_H__63957382_F314_11D2_A173_006008E88C8E__INCLUDED_)
#define AFX_TRESOURCEPROPOSITION_H__63957382_F314_11D2_A173_006008E88C8E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TProposition.h"

/*-----------------------------------------------------------------------------
Class   : TResourceProposition
Date    : 08.01.98
-------------------------------------------------------------------------------
Base Class: TProposition
Description: 
-----------------------------------------------------------------------------*/

class TResourceProposition : public TProposition  
{
	public:
		TResourceProposition(TEnergySpreader* module, TWorldState* state, double value);
		virtual ~TResourceProposition();

		int	GetAmountUsed() const { return m_iAmountUsed; };

	private:
		int	m_iAmountUsed;
};

#endif // !defined(AFX_TRESOURCEPROPOSITION_H__63957382_F314_11D2_A173_006008E88C8E__INCLUDED_)
