// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__54CD01CD_4540_11D1_B242_0000C09B5CBE__INCLUDED_)
#define AFX_MAINFRM_H__54CD01CD_4540_11D1_B242_0000C09B5CBE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// defined if no statusbar and toolbars should be created
#ifndef _DEBUG
	#define xNO_LUXUS
#endif


class CEditBar;

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	CSplitterWnd	m_wndSplitter;
	int				m_iPlayerNo;
	int				m_iPlayerType;
	int				m_iNoOfRules;
	int				m_iStamina;
	double			m_quality;
	BOOL			m_bHaveTeamname;
	BOOL			m_bFirstShow;
// Operations
public:

	virtual void ActivateFrame(int nCmdShow);

private:
	void		DockControlBarLeftOf(CToolBar* Bar,CToolBar* LeftOf);
	void		ShowToolbars(BOOL bFlag = TRUE);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    m_wndToolBarMessages;
	CToolBar    m_wndToolBarPerception;
	CToolBar    m_wndToolBarNetwork;
//	CToolBar*   m_wndToolBarRule;

	CEditBar*   m_pwndToolBarRule;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTestRecieve();
	afx_msg void OnViewToolbarPerception();
	afx_msg void OnUpdateViewToolbarPerception(CCmdUI* pCmdUI);
	afx_msg void OnViewAllBars();
	afx_msg void OnUpdateViewAllBars(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg void OnUpdateAction(CCmdUI *pCmdUI);
	afx_msg void OnUpdateTeam(CCmdUI *pCmdUI);
	afx_msg void OnUpdatePlayer(CCmdUI *pCmdUI);
	afx_msg void OnUpdateRules(CCmdUI *pCmdUI);
	afx_msg void OnComboSelection();
	afx_msg void OnComboDropDown();
	afx_msg void OnComboPerceptionSelection();
	afx_msg void OnComboPerceptionDropDown();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__54CD01CD_4540_11D1_B242_0000C09B5CBE__INCLUDED_)
