// TPerceptionParser.h: interface for the TPerceptionParser class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TPERCEPTIONPARSER_H__E3081240_4C78_4738_B49B_0ED7B2FF8F60__INCLUDED_)
#define AFX_TPERCEPTIONPARSER_H__E3081240_4C78_4738_B49B_0ED7B2FF8F60__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define	PLAYER_PARAM_COUNT				19
#define	player_types					0
#define	subs_max						1
#define	pt_max							2
#define	player_speed_max_delta_min		3
#define	player_speed_max_delta_max		4
#define	stamina_inc_max_delta_factor	5
#define	player_decay_delta_min			6
#define	player_decay_delta_max			7
#define	inertia_moment_delta_factor		8
#define	dash_power_rate_delta_min		9
#define dash_power_rate_delta_max		10
#define player_size_delta_factor		11
#define kickable_margin_delta_min		12
#define kickable_margin_delta_max		13
#define kick_rand_delta_factor			14
#define extra_stamina_delta_min			15
#define extra_stamina_delta_max			16
#define effort_max_delta_factor			17
#define effort_min_delta_factor			18

#define NO_OF_PLAYER_TYPES				7
#define DEFAULT_PLAYER_TYPE				0

#define PLAYER_TYPE_COUNT				12
#define player_id						0
#define player_speed_max				1
#define stamina_inc_max					2
#define player_decay					3
#define inertia_moment					4
#define dash_power_rate					5
#define player_size						6
#define kickable_margin					7
#define kick_rand						8
#define extra_stamina					9
#define effort_max						10
#define effort_min						11

/*
	CString[] server_param =
		{
		 "gwidth", "inertia_moment", "psize", "pdecay", "prand", "pweight",
		 "pspeed_max", "paccel_max", "stamina_max", "stamina_inc", "recover_init",
		 "recover_dthr", "recover_min", "recover_dec", "effort_init", "effort_dthr",
		 "effort_min", "effort_dec", "effort_ithr", "effort_inc", "kick_rand",
		 "team_actuator_noise", "prand_factor_l", "prand_factor_r","kick_rand_factor_l",
		 "kick_rand_factor_r", "bsize", "bdecay", "brand", "bweight", "bspeed_max",
		 "baccel_max", "dprate", "kprate", "kmargin", "ctlradius", "ctlradius_width",
		 "maxp", "minp", "maxm", "minm", "maxnm", "minnm", "maxn", "minn", "visangle",
		 "visdist", "windir", "winforce", "winang", "winrand", "kickable_area",
		 "catch_area_l", "catch_area_w", "catch_prob", "goalie_max_moves", "ckmargin",
		 "offside_area", "win_no", "win_random", "say_cnt_max", "SayCoachMsgSize",
		 "clang_win_size", "clang_define_win", "clang_meta_win",
		 "clang_advice_win", "clang_info_win", "clang_mess_delay", "clang_mess_per_cycle",
		 "half_time", "sim_st", "send_st", "recv_st", "sb_step", "lcm_st", "SayMsgSize",
		 "hear_max", "hear_inc", "hear_decay", "cban_cycle", "slow_down_factor",
		 "useoffside", "kickoffoffside", "offside_kick_margin", "audio_dist", "dist_qstep",
		 "land_qstep", "dir_qstep", "dist_qstep_l", "dist_qstep_r", "land_qstep_l",
		 "land_qstep_r", "dir_qstep_l", "dir_qstep_r", "CoachMode", "CwRMode", "old_hear",
		 "sv_st", "doNotKnow1", "doNotKnow2", "doNotKnow3", "doNotKnow4", "doNotKnow5"
		};
*/



class TParseString;


class TPerceptionParser  
{
	public:
		TPerceptionParser();
		virtual ~TPerceptionParser();


		void ParseParameters(LPCTSTR str, int count, double* parameters);
		BOOL  ParseChangedPlayer(LPCTSTR str, int* returnValue);

};

#endif // !defined(AFX_TPERCEPTIONPARSER_H__E3081240_4C78_4738_B49B_0ED7B2FF8F60__INCLUDED_)
