#if !defined(AFX_DNETWORKPARAMSSLIDER_H__9A424902_F610_11D1_A16C_006008E88C8E__INCLUDED_)
#define AFX_DNETWORKPARAMSSLIDER_H__9A424902_F610_11D1_A16C_006008E88C8E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DNetworkParamsSlider.h : header file
//

#define RANGE_MAES		100.0
#define MIN_MAES			0.0
#define MAX_MAES			10.0
#define MIN_GAMMA			0.01
#define MAX_THETA_REDUC 5.0
#define RANGE_DORER		100.0
#define MIN_DORER			0.0
#define MAX_DORER			1.0
#define MIN_GAMMA_DORER	0.0
#define MAX_BETA			0.99

class TNetworkParams;

/////////////////////////////////////////////////////////////////////////////
// DNetworkParamsSlider dialog


class DNetworkParamsSlider : public CDialog
{
// Construction
public:
	DNetworkParamsSlider(CWnd* pParent = NULL, TNetworkParams* params = NULL);   // standard constructor

	BOOL		SetEditValue(CEdit* edit, CSliderCtrl* slider, double &value
								, double min, double max, double range);
	
	TNetworkParams*	m_pParams;

	double	m_dPi;
	double	m_dPhi;
	double	m_dGamma;
	double	m_dDelta;
	double	m_dTheta;
	double	m_dThetaReduction;

	double	m_dMin;
	double	m_dMax;
	double	m_dRange;
	double	m_dMinGamma;
	double	m_dMaxThetaReduction;
	double	m_dMaxBeta;

// Dialog Data
	//{{AFX_DATA(DNetworkParamsSlider)
	enum { IDD = IDD_NETWORK_PARAMS };
	CSliderCtrl	m_cThetaReduction;
	CSliderCtrl	m_cTheta;
	CEdit	m_edThetaReduction;
	CEdit	m_edTheta;
	CEdit	m_edPi;
	CEdit	m_edPhi;
	CEdit	m_edGamma;
	CEdit	m_edDelta;
	CSliderCtrl	m_cPi;
	CSliderCtrl	m_cPhi;
	CSliderCtrl	m_cGamma;
	CSliderCtrl	m_cDelta;
	double	m_dFuzzyRound;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DNetworkParamsSlider)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DNetworkParamsSlider)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKillfocusEditDelta();
	afx_msg void OnKillfocusEditGamma();
	afx_msg void OnKillfocusEditPhi();
	afx_msg void OnKillfocusEditPi();
	afx_msg void OnKillfocusEditTheta();
	afx_msg void OnKillfocusEditThetareduc();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DNETWORKPARAMSSLIDER_H__9A424902_F610_11D1_A16C_006008E88C8E__INCLUDED_)
