// TValue.cpp: implementation of the TValue class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TValue.h"

#include <math.h>


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/*-----------------------------------------------------------------------------
Function: friend functions for operators
Date    : 18.03.98
-----------------------------------------------------------------------------*/

TValue operator& (double val1, TValue& val2) { return TValue(sqrt(val1 * val2.GetValue())); }
TValue operator& (TValue& val1, double val2) { return TValue(sqrt(val1.GetValue() * val2)); }
TValue operator& (TValue& val1, TValue& val2) { return TValue(sqrt(val1.GetValue() * val2.GetValue())); }

TValue operator+ (double val1, TValue& val2) { return TValue(val1 + val2.GetValue()); }
TValue operator+ (TValue& val1, double val2) { return TValue(val1.GetValue() + val2); }
TValue operator+ (TValue& val1, TValue& val2) { return TValue(val1.GetValue() + val2.GetValue()); }
TValue operator-(double val1, TValue& val2) { return TValue(val1 - val2.GetValue()); }
TValue operator-(TValue& val1, double val2) { return TValue(val1.GetValue() - val2); }
TValue operator- (TValue& val1, TValue& val2) { return TValue(val1.GetValue() - val2.GetValue()); }
TValue operator*(double val1, TValue& val2) { return TValue(val1 * val2.GetValue()); }
TValue operator* (TValue& val1, double val2) { return TValue(val1.GetValue() * val2); }
TValue operator* (TValue& val1, TValue& val2) { return TValue(val1.GetValue() * val2.GetValue()); }
TValue operator/ (double val1, TValue& val2) { return TValue(val1 / val2.GetValue()); }
TValue operator/ (TValue& val1, double val2) { return TValue(val1.GetValue() / val2); }
TValue operator/ (TValue& val1, TValue& val2) { return TValue(val1.GetValue() / val2.GetValue()); }

