// DPerceptionSlider.cpp : implementation file
//

#include "stdafx.h"
#include "Basis.h"
#include "TPerceptionView.h"
#include "DPerceptionSlider.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DPerceptionSlider dialog


DPerceptionSlider::DPerceptionSlider(CWnd* pParent /*=NULL*/, TPerceptionView* view)
	: CDialog(DPerceptionSlider::IDD, pParent)
{
	//{{AFX_DATA_INIT(DPerceptionSlider)
	m_strStart = _T("");
	m_strStop = _T("");
	//}}AFX_DATA_INIT
	m_pView = view;
}


void DPerceptionSlider::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DPerceptionSlider)
	DDX_Control(pDX, IDC_SLIDER1, m_cSlider);
	DDX_Text(pDX, IDC_SLIDER_START, m_strStart);
	DDV_MaxChars(pDX, m_strStart, 5);
	DDX_Text(pDX, IDC_SLIDER_STOP, m_strStop);
	DDV_MaxChars(pDX, m_strStop, 5);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DPerceptionSlider, CDialog)
	//{{AFX_MSG_MAP(DPerceptionSlider)
	ON_WM_HSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DPerceptionSlider message handlers

void DPerceptionSlider::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	if (/*(nSBCode == SB_THUMBPOSITION) || */(nSBCode == SB_THUMBTRACK))
		m_pView->SetCurrentCycle(nPos);	
	
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

BOOL DPerceptionSlider::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_cSlider.SetRangeMin(m_iMin);
	m_cSlider.SetRangeMax(m_iMax);
	m_cSlider.ClearSel();
	m_cSlider.SetPos(m_iPos);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
